Subject: Re: autodiscovery draft vs namespaces

From: "Kornel Lesinski" <[email-masked]>
Date: Thu, 23 Nov 2006 22:28:45 -0000

I've noticed that draft-ietf-atompub-autodiscovery-01.txt doesn't mention  
XML namespaces and tag prefixes. XHTML can get even more complex than memo  
suggests:

<foo:link xmlns:foo="http://www.w3.org/1999/xhtml" rel="alternate"  
type="application/atom+xml" href="bar"></foo:link>

My suggestion is that instead of specifying all quirks of X[HT]ML syntax:
* require that XML parser is used for XHTML
* if document turns out not to be well-formed (which often is the case  
with real-world "XHTML"), allow HTML parsing rules used as fallback

And then simply state that in XHTML <link> element in  
"http://www.w3.org/1999/xhtml" namespace should be used. An example XPath  
expression or W3C DOM-based pseudocode might be very helpful there.

BTW: in all examples attributes have always the same order. They could be  
shuffled to emphasise that order is not significant.

-- 
regards, Kornel Lesiński

---

From: James M Snell <[email-masked]>
Date: Sun, 26 Nov 2006 20:52:16 -0800

Kornel, thanks for the input. In the next rev of the draft (following
the initial reboot that should publish in a day or so) I'll see what I
can do to clarifying some of these issues.  As always, suggested spec
text is helpful and encouraged.  I will do my best to incorporate all
editorial changes.

- James

Kornel Lesinski wrote:
> 
> 
> I've noticed that draft-ietf-atompub-autodiscovery-01.txt doesn't
> mention XML namespaces and tag prefixes. XHTML can get even more complex
> than memo suggests:
> 
> "http://www.w3.org/1999/xhtml" namespace should be used. An example
> XPath expression or W3C DOM-based pseudocode might be very helpful there.
> 
> 
> BTW: in all examples attributes have always the same order. They could
> be shuffled to emphasise that order is not significant.
> 
> --regards, Kornel Lesiński
> 
>